Assign custom attributes to an incident using the customAttribute/{incidentId} PUT API call.
PUT request URL
https://<epo_server_name:port>/rest/dlp/incidents/customAttribute/{incidentId}?incidentNature={n}
Where
epo_server_name:portis the server IP address and port number.customAttribute/{incidentId}ID of the incident to which you want to assign custom attributes.incidentNature={n}incidents generated for data-in-use/motion and data-at-rest can have the same incident IDs. Specify n to differentiate the incident type.
This call assigns custom attributes to the specified incident. You can use a user-defined automation script to assign custom attributes to all incidents in batches.
Request Parameters
Use the query parameters to return the incident details.
Parameter name | Description | Required | Values |
|---|---|---|---|
Authorization | User credentials for ePO - On-prem | Required | |
Body (Raw) | A JSON object array that has "id" and "value" as the key: value pair. "id" is the value returned from Example — | Required | application/JSON |
incidentNature={n} | Incidents generated for data-in-use/motion and data-at-rest can have the same incident IDs. Specify n to differentiate the incident nature. Where {n} can be:
| Required | Number |
Sample PUT request URL
https://172.27.108.53:8443/rest/dlp/incidents/customAttribute/18?incidentNature=1
Sample cURL command
curl -k -v -X PUT 'https://ePO-url:ePO-port/rest/dlp/incidents/customAttribute/18?incidentNature=1' -u '<user>:<password>' --header 'Content-Type: application/json' --data-raw '[{"id":"5","value":"David"},{"id":"6","value":"John"}]'
Response parameters
Response parameters
Element | Description | Data type | |
|---|---|---|---|
id | Custom attribute ID. This ID is the value retrieved using the | string | |
value | Is the value that you assign to custom attributes. Custom attributes expect a one-to-one mapping of values and the same custom attribute assigned to different incidents can have different values. | string | |
Sample response
If Body is:
[{"id":"5","value":"David"},{"id":"6","value":"John"}]
The sample response is as shown:
Custom attributes updated successfully with payload [
{
"id": "5",
"value": "David"
},
{
"id": "6",
"value": "John"
}
]Status and error codes
List of HTTP status codes returned for a query.
Code | Description |
|---|---|
200 OK | Returns the list of updated custom attributes for the specified incident. |
400 Bad Request |
|
404 Not Found |
|
500 Internal Server Error | An error on the server side which failed the request. See the ePO - On-prem |